Update Chatbot Settings - General
curl --request PATCH \
--url https://sitegpt.ai/api/v0/chatbots/{chatbotId}/settings/general \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"chatbotDescription": "This is a test chatbot",
"disableSmartFollowUpPrompts": false,
"smartFollowUpPromptsCount": 3,
"disableLeadNotifications": true,
"historyCount": 4,
"gptModel": "gpt-3.5-turbo"
}
'import requests
url = "https://sitegpt.ai/api/v0/chatbots/{chatbotId}/settings/general"
payload = {
"chatbotDescription": "This is a test chatbot",
"disableSmartFollowUpPrompts": False,
"smartFollowUpPromptsCount": 3,
"disableLeadNotifications": True,
"historyCount": 4,
"gptModel": "gpt-3.5-turbo"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
chatbotDescription: 'This is a test chatbot',
disableSmartFollowUpPrompts: false,
smartFollowUpPromptsCount: 3,
disableLeadNotifications: true,
historyCount: 4,
gptModel: 'gpt-3.5-turbo'
})
};
fetch('https://sitegpt.ai/api/v0/chatbots/{chatbotId}/settings/general', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Updated general settings of the chatbot successfully",
"data": {}
}
Settings
Update Chatbot Settings - General
Update general settings of the chatbot
PATCH
/
v0
/
chatbots
/
{chatbotId}
/
settings
/
general
Update Chatbot Settings - General
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Id of the chatbot
Body
application/json
Request body to update general settings of the chatbot
Request Body
Description of the chatbot
Option to disable smart followup questions generated by SiteGPT
Number of smart follow up questions to be shown when enabled.
Required range:
1 <= x <= 5Must be a multiple of 1Option to disable email notifications for new lead captures.
Number of history messages to be considered when answering the question
Required range:
1 <= x <= 5Must be a multiple of 1All available GPT models
Available options:
gpt-3.5-turbo, gpt-4 Any extra data you want to add to your chatbot.
Any metadata (key-value pairs) that you can assign to the chatbot. Key should be string and Value could be anything.
Was this page helpful?